=== debian/changelog ===
node-babel7 (7.12.10+~cs150.141.83-1) unstable; urgency=medium

  * Team upload
  * Add ctype=nodejs to component(s)
  * New upstream version 7.12.10+~cs150.141.83
  * Refresh patches
  * Improve patch load-plugins-from-system-libraries

 -- Xavier Guimard <yadd@debian.org>  Sat, 12 Dec 2020 17:17:39 +0100
