=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

GULP=/usr/bin/gulp

%:
	dh $@

override_dh_auto_build:
ifeq (,$(filter pkg.node-babel7.yarnpkg,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	rm -f node_modules/@babel/code-frame
	cd babel-plugin-dynamic-import-node && babeljs-7 src --out-dir lib
	make build build-dist
	cd charcodes; \
	for D in ./packages/*; do \
		mkdir "$$D/lib"; \
		babeljs-7 "$$D/src/index.js" -o "$$D/lib/index.js" --env-name "cjs"; \
		babeljs-7 "$$D/src/index.js" -o "$$D/lib/index.mjs" --env-name "esm"; \
	done
	rm -rf node_modules
	cd pirates && sh -ex ../debian/nodejs/pirates/build
else
	rm -rf node_modules
	HOME=`pwd` yarnpkg install
	make build build-dist
	cd babel-plugin-dynamic-import-node && HOME=`pwd` yarnpkg install && yarnpkg build
	cd charcodes && HOME=`pwd` yarnpkg install && ./scripts/build.sh
	cd pirates && HOME=`pwd` yarnpkg install && yarnpkg build
endif

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
override_dh_auto_test:
endif

override_dh_install:
	dh_install
	find debian -name .npmignore -delete
	find debian -name .gitignore -delete

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/node-babel7/usr/share/nodejs/@babel/cli/bin/babel-external-helpers.js \
		debian/node-babel7/usr/share/nodejs/@babel/cli/bin/babel.js \
		debian/node-babel7/usr/share/nodejs/@babel/node/bin/babel-node.js \
		debian/node-babel7/usr/share/nodejs/@babel/parser/bin/babel-parser.js
