=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-babel7-$1.tar.gz/ \
 https://github.com/babel/babel/tags .*/archive/v?([\d\.]+).tar.gz group

opts=\
ctype=nodejs,\
component=charcodes,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-charcodes-$1.tar.gz/ \
 https://github.com/xtuc/charcodes/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
ctype=nodejs,\
component=pirates,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-pirates-$1.tar.gz/ \
 https://github.com/ariporad/pirates/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
ctype=nodejs,\
component=node-modules-regexp,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-node-modules-regexp-$1.tar.gz/ \
 https://github.com/jamestalmage/node-modules-regexp/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
ctype=nodejs,\
component=js-levenshtein,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-js-levenshtein-$1.tar.gz/ \
 https://github.com/gustf/js-levenshtein/tags?after=1.1.6 .*/archive/v?(1(?:.[\d\.]+)?).tar.gz checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=babelpreset-modules,pgpmode=none" \
 https://registry.npmjs.org/@babel/preset-modules https://registry.npmjs.org/@babel/preset-modules/-/preset-modules-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
ctype=nodejs,\
component=babel-plugin-dynamic-import-node,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-babel-plugin-dynamic-import-node-$1.tar.gz/ \
 https://github.com/airbnb/babel-plugin-dynamic-import-node/tags .*/archive/v?([\d\.]+).tar.gz checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=gensync,pgpmode=none,uversionmangle=s/-beta.*//" \
 https://registry.npmjs.org/gensync https://registry.npmjs.org/gensync/-/gensync-([\w\.\-]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=babelplugin-syntax-export-namespace-from,pgpmode=none" \
 https://registry.npmjs.org/@babel/plugin-syntax-export-namespace-from https://registry.npmjs.org/@babel/plugin-syntax-export-namespace-from/-/plugin-syntax-export-namespace-from-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=babelplugin-syntax-object-rest-spread,pgpmode=none" \
