=== debian/changelog ===
node-babel7 (7.12.11+~cs150.141.84-3) unstable; urgency=medium

  * Team upload
  * Build typescript definitions (Closes: #978341)

 -- Xavier Guimard <yadd@debian.org>  Sun, 03 Jan 2021 18:08:42 +0100

node-babel7 (7.12.11+~cs150.141.84-2) unstable; urgency=medium

  * Team upload
  * Require pkg-js-tools ≥ 0.9.58~ (Closes: #977677)

 -- Xavier Guimard <yadd@debian.org>  Fri, 18 Dec 2020 22:34:20 +0100

node-babel7 (7.12.11+~cs150.141.84-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.12.11+~cs150.141.84
  * Refresh patches
  * Embed rollup-plugin-dts in build only modules
  * Add build dependency to node-typescript
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Thu, 17 Dec 2020 12:27:51 +0100

node-babel7 (7.12.10+~cs150.141.83-3) unstable; urgency=medium

  * Team upload
  * Install /usr/bin/babeljs-parser
  * Build manpages using help2man
  * Remove useless dependency to node-environment-flags (Closes: #977232)

 -- Xavier Guimard <yadd@debian.org>  Thu, 17 Dec 2020 08:46:12 +0100

node-babel7 (7.12.10+~cs150.141.83-2) unstable; urgency=medium

  * Team upload
  * Remove some build modules, and add build dependencies to:
    + node-cheerio
    + node-jest-worker
    + node-jsdom
    + node-make-error
    + node-rollup-plugin-inject
    + node-rollup-plugin-node-polyfills
    + node-rollup-plugin-terser
    + node-serialize-javascript
  * Build @babel/standalone (Closes: #977485)

 -- Xavier Guimard <yadd@debian.org>  Thu, 17 Dec 2020 03:53:31 +0100
