=== debian/control ===
--- 
+++ 
@@ -5,10 +5,14 @@
 #Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
+ , dh-sequence-nodejs (>= 0.9.58~)
  , gulp (>= 4)
+ , help2man
+ , jq
  , node-babel7 (>= 7.9.6) <!pkg.node-babel7.npm>
  , node-browserslist (>= 4.6~)
  , node-chalk
+ , node-cheerio
  , node-clean-css
  , node-commander (>= 4.1.1)
  , node-core-js (>= 3.1.1~)
@@ -25,9 +29,13 @@
  , node-he
  , node-htmlparser2
  , node-invariant
+ , node-is-windows
+ , node-jest-worker
+ , node-jsdom
  , node-leven (>= 3.1.0+~cs1.1.1)
  , node-liftoff (>= 3.1.0-4~)
  , node-lodash (>= 4.17.19+dfsg1~)
+ , node-make-error
  , node-merge-stream
  , node-multimatch
  , node-output-file-sync
@@ -36,19 +44,24 @@
  , node-rimraf
  , node-rollup-plugin-babel (>= 5.2.0)
  , node-rollup-plugin-commonjs (>= 13.0.0)
+ , node-rollup-plugin-inject
  , node-rollup-plugin-json (>= 4.1.0)
  , node-rollup-plugin-node-resolve (>= 9.0.0)
+ , node-rollup-plugin-node-polyfills
  , node-rollup-plugin-replace (>= 2.3.3)
+ , node-rollup-plugin-terser
  , node-semver
+ , node-serialize-javascript
 # for debian/build_modules/webpack-stream
  , node-supports-color (>= 5.3~)
  , node-through
  , node-through2
  , node-to-fast-properties
+ , node-typescript
+ , node-typescript-types
  , node-vinyl-fs (>= 2.4.4-2~)
  , yarnpkg <pkg.node-babel7.yarnpkg>
  , git <pkg.node-babel7.yarnpkg>
- , dh-sequence-nodejs
  , rollup
  , uglifyjs
  , webpack
