=== debian/rules ===
--- 
+++ 
@@ -4,24 +4,68 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+include /usr/share/dpkg/pkg-info.mk
+
 GULP=/usr/bin/gulp
+BABELJSDESC="The compiler for writing next generation JavaScript"
+BABELJSNODEDESC="CLI that works exactly the same as the Node.js CLI, with the added benefit of compiling with Babel presets and plugins before running it"
+EXTMODULES=$(shell perl -lne 'print $$1 if/component=([^,]*)/' debian/watch)
 
 %:
 	dh $@
 
 override_dh_auto_build:
 ifeq (,$(filter pkg.node-babel7.yarnpkg,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
-	rm -f node_modules/@babel/code-frame
+	#rm -f node_modules/@babel/code-frame
+	#rm -f node_modules/@babel/preset-modules
+	mv node_modules/@babel node_modules/.babel
+	mkdir node_modules/@babel
+	# Build @babel/plugin-dynamic-import-node
 	cd babel-plugin-dynamic-import-node && babeljs-7 src --out-dir lib
-	make build build-dist
+	# Build @babel/preset-modules
+	cd babelpreset-modules && babeljs src --presets '@babel/preset-env' -d lib --ignore '**/*.test.js'
+	# Build charcodes
 	cd charcodes; \
 	for D in ./packages/*; do \
 		mkdir "$$D/lib"; \
 		babeljs-7 "$$D/src/index.js" -o "$$D/lib/index.js" --env-name "cjs"; \
 		babeljs-7 "$$D/src/index.js" -o "$$D/lib/index.mjs" --env-name "esm"; \
 	done
-	rm -rf node_modules
+	# Build babel except standalone
+	set -e; for i in $(EXTMODULES); do \
+		NAME=`jq -r .name $$i/package.json`; \
+		if test "$$NAME" != "null"; then \
+			rm -rf node_modules/$$NAME; \
+			mv $$i node_modules/$$NAME; \
+			echo mv node_modules/$$NAME $$i >> debian/restore.sh; \
+		fi; \
+	done
+	if [ -e charcodes ]; then \
+		mv charcodes node_modules/.charcodes; \
+		for i in `ls node_modules/.charcodes/packages/`; do \
+			ln -vs .charcodes/packages/$$i node_modules/$$i; \
+		done; \
+		echo mv node_modules/.charcodes charcodes >> debian/restore.sh; \
+	fi
+	make build YARN=''
+	#mv node_modules/.babel/* node_modules/@babel/
+	for i in `ls packages/`; do \
+		NAME=`jq -r .name packages/$$i/package.json`; \
+		if [ -e node_modules/$$NAME ]; then \
+			echo -n ''; \
+		else \
+			ln -s ../../packages/$$i node_modules/$$NAME; \
+		fi; \
+	done
+	make tscheck YARN=''
+	gulp bundle-dts
+	make build-typescript-3.7-typings
+	sh -e debian/restore.sh
+	rm -f debian/restore.sh
+	# Build pirates
+	mv node_modules tmp_modules
 	cd pirates && sh -ex ../debian/nodejs/pirates/build
+	mv tmp_modules node_modules
 else
 	rm -rf node_modules
 	HOME=`pwd` yarnpkg install
@@ -30,6 +74,14 @@
 	cd charcodes && HOME=`pwd` yarnpkg install && ./scripts/build.sh
 	cd pirates && HOME=`pwd` yarnpkg install && yarnpkg build
 endif
+	help2man --no-info \
+		--version-string $(DEB_VERSION_UPSTREAM) \
+		-n $(BABELJSDESC) \
+		packages/babel-cli/bin/babel.js > babeljs-7.1
+	help2man --no-info \
+		--version-string $(DEB_VERSION_UPSTREAM) \
+		-n $(BABELJSNODEDESC) \
+		packages/babel-node/bin/babel-node.js > babeljs-7-node.1
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
 override_dh_auto_test:
