## node-babel7 7.12.12+~cs150.141.84

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,6 @@
 FLOW_COMMIT = a1f9a4c709dcebb27a5084acf47755fbae699c25
-TEST262_COMMIT = 36d2d2d348d83e9d6554af59a672fbcd9413914b
+TEST262_COMMIT = b2e9dff2816cceb5ee84c0c226c50a31d01a7297
 TYPESCRIPT_COMMIT = da8633212023517630de5f3620a23736b63234b1
-
-FORCE_PUBLISH = -f @babel/runtime -f @babel/runtime-corejs2 -f @babel/runtime-corejs3 -f @babel/standalone
 
 # Fix color output until TravisCI fixes https://github.com/travis-ci/travis-ci/issues/7967
 export FORCE_COLOR = true
@@ -42,8 +40,9 @@
 build-flow-typings:
 	$(NODE) packages/babel-types/scripts/generators/flow.js > packages/babel-types/lib/index.js.flow
 
-build-typescript-3.7-typings:
-	$(NODE) packages/babel-types/scripts/generators/typescript-3.7.js > packages/babel-types/lib/index-ts3.7.d.ts
+# For TypeScript older than 3.7
+build-typescript-legacy-typings:
+	$(NODE) packages/babel-types/scripts/generators/typescript-legacy.js > packages/babel-types/lib/index-legacy.d.ts
 
 build-standalone: build-babel-standalone
 
@@ -56,11 +55,7 @@
 prepublish-build-standalone:
 	BABEL_ENV=production IS_PUBLISH=true $(YARN) gulp build-babel-standalone
 
-build-dist: build-polyfill-dist build-plugin-transform-runtime-dist
-
-build-polyfill-dist:
-	cd packages/babel-polyfill; \
-	scripts/build-dist.sh
+build-dist: build-plugin-transform-runtime-dist
 
 build-plugin-transform-runtime-dist:
 	cd packages/babel-plugin-transform-runtime; \
@@ -70,8 +65,7 @@
 	BABEL_ENV=development $(YARN) gulp build-dev
 	# Ensure that build artifacts for types are created during local
 	# development too.
-	# Babel-transform-fixture-test-runner requires minified polyfill for performance
-	$(MAKE) build-flow-typings build-polyfill-dist
+	$(MAKE) build-flow-typings
 
 watch: build-no-bundle
 	BABEL_ENV=development $(YARN) gulp watch
@@ -111,8 +105,6 @@
 
 clean: test-clean
 	rm -f .npmrc
-	rm -rf packages/babel-polyfill/browser*
-	rm -rf packages/babel-polyfill/dist
 	rm -rf coverage
 	rm -rf packages/*/npm-debug*
 	rm -rf node_modules/.cache
@@ -194,7 +186,7 @@
 	$(MAKE) tscheck
 	$(YARN) gulp bundle-dts
 	$(YARN) gulp clean-dts
-	$(MAKE) build-typescript-3.7-typings
+	$(MAKE) build-typescript-legacy-typings
 	$(MAKE) clean-tsconfig
 
 prepublish:
@@ -205,7 +197,7 @@
 
 new-version:
 	git pull --rebase
-	$(YARN) release-tool version $(FORCE_PUBLISH)
+	$(YARN) release-tool version -f @babel/standalone
 
 # NOTE: Run make new-version first
 publish:
@@ -225,17 +217,6 @@
 	@exit 1
 endif
 
-publish-ci: prepublish
-ifneq ("$(NPM_TOKEN)", "")
-	echo "//registry.npmjs.org/:_authToken=${NPM_TOKEN}" > .npmrc
-else
-	echo "Missing NPM_TOKEN env var"
-	exit 1
-endif
-	$(YARN) release-tool publish --yes
-	rm -f .npmrc
-	$(MAKE) clean
-
 publish-test:
 ifneq ("$(I_AM_USING_VERDACCIO)", "I_AM_SURE")
 	echo "You probably don't know what you are doing"
