=== debian/changelog ===
node-babel7 (7.12.12+~cs150.141.84-6+deb11u1) bullseye-security; urgency=medium

  * Only evaluate own String/Number/Math methods (Closes: #1053880, CVE-2023-45133)

 -- Yadd <yadd@debian.org>  Fri, 13 Oct 2023 18:25:57 +0400

node-babel7 (7.12.12+~cs150.141.84-6) unstable; urgency=medium

  * Team upload
  * Make build reproducible

 -- Xavier Guimard <yadd@debian.org>  Wed, 03 Feb 2021 06:31:56 +0100

node-babel7 (7.12.12+~cs150.141.84-5) unstable; urgency=medium

  * Team upload
  * Remove tsconfig.buildinfo files (makes build reproducible)

 -- Xavier Guimard <yadd@debian.org>  Mon, 01 Feb 2021 16:33:41 +0100

node-babel7 (7.12.12+~cs150.141.84-4) unstable; urgency=medium

  * Team upload

  [ Pirate Praveen ]
  * Update minimum versions of dependencies

  [ Xavier Guimard ]
  * Install manpages without alternatives (Closes: #979551)

 -- Xavier Guimard <yadd@debian.org>  Wed, 27 Jan 2021 22:47:58 +0100

node-babel7 (7.12.12+~cs150.141.84-3) unstable; urgency=medium

  * Team upload
  * Remove useless build dependency to node-typescript-types (Closes: #979788)

 -- Xavier Guimard <yadd@debian.org>  Fri, 22 Jan 2021 19:07:09 +0100

node-babel7 (7.12.12+~cs150.141.84-2) unstable; urgency=medium

  * Team upload
  * Source-only upload

 -- Xavier Guimard <yadd@debian.org>  Sat, 09 Jan 2021 07:39:08 +0100

node-babel7 (7.12.12+~cs150.141.84-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.12.12+~cs150.141.84
  * Build a really "standalone" @babel/standalone
  * Refresh patches
  * Provides separated node-babel7-runtime and node-babel7-standalone
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Tue, 05 Jan 2021 13:28:05 +0100
