=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,15 @@
 ifeq (,$(filter pkg.node-babel7.yarnpkg,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
 	#rm -f node_modules/@babel/code-frame
 	#rm -f node_modules/@babel/preset-modules
+	cp -a /usr/share/nodejs/@types/node ./node_modules/@types
 	mv node_modules/@babel node_modules/.babel
 	mkdir node_modules/@babel
+	ln -s /usr/share/nodejs/@babel/runtime node_modules/@babel/
+	ln -s /usr/share/nodejs/@babel/compat-data node_modules/@babel/
 	# Build @babel/plugin-dynamic-import-node
 	cd babel-plugin-dynamic-import-node && babeljs-7 src --out-dir lib
 	# Build @babel/preset-modules
-	cd babelpreset-modules && babeljs src --presets '@babel/preset-env' -d lib --ignore '**/*.test.js'
+	cd babel-preset-modules && babeljs src --presets '@babel/preset-env' -d lib --ignore '**/*.test.js'
 	# Build charcodes
 	cd charcodes; \
 	for D in ./packages/*; do \
@@ -59,7 +62,7 @@
 	done
 	make tscheck YARN=''
 	gulp bundle-dts
-	make build-typescript-3.7-typings
+	make build-typescript-legacy-typings
 	sh -e debian/restore.sh
 	rm -f debian/restore.sh
 	# Build pirates
@@ -77,11 +80,11 @@
 	help2man --no-info \
 		--version-string $(DEB_VERSION_UPSTREAM) \
 		-n $(BABELJSDESC) \
-		packages/babel-cli/bin/babel.js > babeljs-7.1
+		packages/babel-cli/bin/babel.js > babeljs.1
 	help2man --no-info \
 		--version-string $(DEB_VERSION_UPSTREAM) \
 		-n $(BABELJSNODEDESC) \
-		packages/babel-node/bin/babel-node.js > babeljs-7-node.1
+		packages/babel-node/bin/babel-node.js > babeljs-node.1
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
 override_dh_auto_test:
@@ -91,6 +94,28 @@
 	dh_install
 	find debian -name .npmignore -delete
 	find debian -name .gitignore -delete
+	find debian -name tsconfig.tsbuildinfo -delete
+	cd debian/node-babel7 && rm -rf `cat ../../debian/node-babel7-*.install|sed 's/.* //g'`
+
+override_dh_gencontrol:
+	BABELPROVIDES=`grep -sh 'nodejs:Provides' debian/*.substvars|head -n1|sed -e 's/nodejs:Provides=//'`; \
+	set -e; \
+	for m in `cd debian && ls node-babel7-*.install`; do \
+		bundle=''; \
+		mod=$${m%.install}; \
+		for p in `cat debian/$$mod.install`; do \
+			pversion=`jq -r .version debian/$$mod/$$p/package.json` ; \
+			pname=`jq -r .name debian/$$mod/$$p/package.json` ; \
+			pname=node-`echo $$pname|sed -e 's/^.types./types-/' -e 's/.babel\//babel-/' -e 's/__/-/g'`; \
+			echo "Found $$pname ($$pversion) in $$mod"; \
+			bundle="$$pname (=$$pversion-1), $$bundle"; \
+			BABELPROVIDES=`echo $$BABELPROVIDES|sed -e "s/ *$$pname [^,]*,//g"`; \
+		done; \
+		echo dh_gencontrol -p$$mod -- -Vbabel:depsProvides="$$bundle"; \
+		dh_gencontrol -p$$mod -- -Vbabel:depsProvides="$$bundle"; \
+	done; \
+	echo "babel7 Provides value: $$BABELPROVIDES"; \
+	dh_gencontrol -pnode-babel7 -- -Vbabel:Provides="$$BABELPROVIDES"
 
 override_dh_fixperms:
 	dh_fixperms
