=== debian/watch ===
--- 
+++ 
@@ -35,7 +35,7 @@
 
 # It is not recommended use npmregistry. Please investigate more.
 # Take a look at https://wiki.debian.org/debian/watch/
-opts="searchmode=plain,ctype=nodejs,component=babelpreset-modules,pgpmode=none" \
+opts="searchmode=plain,ctype=nodejs,component=babel-preset-modules,pgpmode=none" \
  https://registry.npmjs.org/@babel/preset-modules https://registry.npmjs.org/@babel/preset-modules/-/preset-modules-([\d\.]+)@ARCHIVE_EXT@ checksum
 
 opts=\
@@ -52,9 +52,9 @@
 
 # It is not recommended use npmregistry. Please investigate more.
 # Take a look at https://wiki.debian.org/debian/watch/
-opts="searchmode=plain,ctype=nodejs,component=babelplugin-syntax-export-namespace-from,pgpmode=none" \
+opts="searchmode=plain,ctype=nodejs,component=babel-plugin-syntax-export-namespace-from,pgpmode=none" \
  https://registry.npmjs.org/@babel/plugin-syntax-export-namespace-from https://registry.npmjs.org/@babel/plugin-syntax-export-namespace-from/-/plugin-syntax-export-namespace-from-([\d\.]+)@ARCHIVE_EXT@ checksum
 
 # It is not recommended use npmregistry. Please investigate more.
 # Take a look at https://wiki.debian.org/debian/watch/
-opts="searchmode=plain,ctype=nodejs,component=babelplugin-syntax-object-rest-spread,pgpmode=none" \
+opts="searchmode=plain,ctype=nodejs,component=babel-plugin-syntax-object-rest-spread,pgpmode=none" \
